# Uses of Class
org.apache.sysds.conf.DMLConfig

Packages that use DMLConfig
Package
Description
org.apache.sysds.api
org.apache.sysds.api.jmlc
org.apache.sysds.api.mlcontext
org.apache.sysds.conf
org.apache.sysds.hops
org.apache.sysds.lops.compile
org.apache.sysds.parser

## Uses of DMLConfig in org.apache.sysds.api

Methods in org.apache.sysds.api with parameters of type DMLConfig
Modifier and Type
Method
Description
`static void`
DMLScript.`cleanupHadoopExecution(DMLConfig config)`
`static void`
ScriptExecutorUtils.`executeRuntimeProgram(Program rtprog, ExecutionContext ec, DMLConfig dmlconf, int statisticsMaxHeavyHitters, Set<String> outputVariables)`
Execute the runtime program.
`static void`
DMLScript.`initHadoopExecution(DMLConfig config)`
`static void`
DMLScript.`setGlobalFlags(DMLConfig dmlconf)`
Sets the global flags in DMLScript based on user provided configuration

## Uses of DMLConfig in org.apache.sysds.api.jmlc

Methods in org.apache.sysds.api.jmlc that return DMLConfig
Modifier and Type
Method
Description
`DMLConfig`
PreparedScript.`getDMLConfig()`
Get the dml configuration object associated with the prepared script instance.
Constructors in org.apache.sysds.api.jmlc with parameters of type DMLConfig
Modifier
Constructor
Description
``
`Connection(DMLConfig dmlconfig)`
Connection constructor, the starting point for any other JMLC API calls.
``
`Connection(DMLConfig dmlconfig, CompilerConfig.ConfigType... cconfigs)`
Connection constructor, the starting point for any other JMLC API calls.

## Uses of DMLConfig in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return DMLConfig
Modifier and Type
Method
Description
`DMLConfig`
ScriptExecutor.`getConfig()`
Obtain the SystemDS configuration properties.
Methods in org.apache.sysds.api.mlcontext with parameters of type DMLConfig
Modifier and Type
Method
Description
`void`
ScriptExecutor.`setConfig(DMLConfig config)`
Set the SystemDS configuration properties.
Constructors in org.apache.sysds.api.mlcontext with parameters of type DMLConfig
Modifier
Constructor
Description
``
`ScriptExecutor(DMLConfig config)`
ScriptExecutor constructor, where the configuration properties are passed in.

## Uses of DMLConfig in org.apache.sysds.conf

Methods in org.apache.sysds.conf that return DMLConfig
Modifier and Type
Method
Description
`DMLConfig`
DMLConfig.`clone()`
`static DMLConfig`
ConfigurationManager.`getDMLConfig()`
Gets the current thread-local dml configuration.
`static DMLConfig`
DMLConfig.`parseDMLConfig(String content)`
`static DMLConfig`
DMLConfig.`readConfigurationFile(String configPath)`
Start with the internal default settings, then merge in the settings from any specified configuration file, if available.
Methods in org.apache.sysds.conf with parameters of type DMLConfig
Modifier and Type
Method
Description
`void`
DMLConfig.`set(DMLConfig dmlconf)`
`static void`
ConfigurationManager.`setGlobalConfig(DMLConfig conf)`
Sets a global configuration as a basis for any thread-local configurations.
`static void`
ConfigurationManager.`setLocalConfig(DMLConfig conf)`
Sets the current thread-local dml configuration to the given config.
Constructors in org.apache.sysds.conf with parameters of type DMLConfig
Modifier
Constructor
Description
``
`DMLConfig(DMLConfig dmlconf)`

## Uses of DMLConfig in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type DMLConfig
Modifier and Type
Method
Description
`static CompilerConfig`
OptimizerUtils.`constructCompilerConfig(CompilerConfig cconf, DMLConfig dmlconf)`
`static CompilerConfig`
OptimizerUtils.`constructCompilerConfig(DMLConfig dmlconf)`

## Uses of DMLConfig in org.apache.sysds.lops.compile

Methods in org.apache.sysds.lops.compile with parameters of type DMLConfig
Modifier and Type
Method
Description
`ArrayList<Instruction>`
Dag.`getJobs(StatementBlock sb, DMLConfig config)`
Method to compile a dag generically

## Uses of DMLConfig in org.apache.sysds.parser

Methods in org.apache.sysds.parser with parameters of type DMLConfig
Modifier and Type
Method
Description
`ProgramBlock`
DMLTranslator.`createRuntimeProgramBlock(Program prog, StatementBlock sb, DMLConfig config)`
`Program`
DMLTranslator.`getRuntimeProgram(DMLProgram prog, DMLConfig config)`